package gov.va.med.esr.common.persistent.hibernate;

import java.util.Iterator;
import java.util.List;

import gov.va.med.esr.common.model.financials.GMTThreshold;
import gov.va.med.esr.common.util.AbstractCommonTestCase;

public class GMTThresholdTest extends AbstractCommonTestCase {
    public void testGMTThreshold() throws Exception {
     	try {
     	    List list = getLookupService().getGMTThreshold(new Integer(2001), "25005");
     	    for (Iterator iter = list.iterator(); iter.hasNext();) {
                GMTThreshold	gmt = (GMTThreshold) iter.next();
                System.out.println(gmt);
            }
     	}
     	catch(Exception ex) {
     		fail("Failed to get GMTThreshold", ex);
     	}
     }
    
    public void testGMTThresholdWithMsa() throws Exception {
     	try {
     	    List list = getLookupService().getGMTThreshold(new Integer(2001), "25005", "6480");
     	    for (Iterator iter = list.iterator(); iter.hasNext();) {
                GMTThreshold	gmt = (GMTThreshold) iter.next();
                System.out.println(gmt);
            }
     	}
     	catch(Exception ex) {
     		fail("Failed to get GMTThreshold", ex);
     	}
    }
}
